#include<iostream>
using namespace std;
long long n, maxC=0, pres=2, chisla[100000], br, a;
int main(){
    cin>>n;
    br=n;
    for(int i=0; i<n; i++){
        chisla[i]=i+1;
    }
    while(br>pres){
        br=0;
        maxC=0;
        a=0;
        for(int i=0; i<n; i++){
            if(chisla[i]!=0 && a%pres==0){
                br++;
                a++;
                if(chisla[i]>maxC){
                    maxC=chisla[i];
                }
            }else if(chisla[i]!=0){
                a++;
                chisla[i]=0;
            }
        }
        pres++;
    }
    cout<<maxC;
    return 0;
}
